LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 09-04-2003, 10:18 AM   #1
hunter_one
Member
 
Registered: Jun 2003
Distribution: mdk 9.1 , gentoo
Posts: 101

Rep: Reputation: 15
Angry grrrrr why its dont working!?


i trying to run FLIGHT GEAR:

[root@localhost bin]# dir
est-epsilon fgfs fgjs gl-info js_demo terrasync wine_relocated yasim
[root@localhost bin]# fgfs
FlightGear: Version 0.9.2
Built with GNU C++ version 3.2

Scanning command line for: --fg-root=
fg_root = /usr/local/lib/FlightGear

Base package check failed ... Found version [none] at: /usr/local/lib/FlightGear
Please upgrade to version: 0.9.2


my FLIGHT GEAR is installed in /usr/FGFS/FlightGear-0.9.2

i installed SIM GEAR & all LIBS

i installed flight gear manualy (./configure && make && make install) i followed instructions in INSTALL file....

and WHY IT ISN`T WORKING????

(when i install FG from RPM i can run it because nothing happends when i click icon....)

WHAT I SHOULD DO !!??!?!
 
Old 09-04-2003, 10:29 AM   #2
DrOzz
Senior Member
 
Registered: May 2003
Location: Sydney, Nova Scotia, Canada
Distribution: slackware
Posts: 4,185

Rep: Reputation: 59
hrmm, if your saying its installed, and that its looking in the wrong spot, then maybe make a symlink from where you say its installed, to where its looking for the installation....
ln -s /installed/dir /usr/local/lib/FlightGear

*EDIT*
i just noticed something else....it tells you once you run it that its looking for the argument --fg-root= and if it doesn't exist that it is going to use /usr/local/lib/FlightGear so when you run fgfs, use the fgfs --fg-root=/usr/FGFS/FlightGear-0.9.2 command it it should find where you say the installation is...
just check the directory structure first before you type that, cause it may or may not be wrong...don't take for granted what i typed...cause i don't know the exact names of your folders...

Last edited by DrOzz; 09-04-2003 at 10:36 AM.
 
Old 09-04-2003, 10:31 AM   #3
DrOzz
Senior Member
 
Registered: May 2003
Location: Sydney, Nova Scotia, Canada
Distribution: slackware
Posts: 4,185

Rep: Reputation: 59
oh and i just read the last part....if your having rpm troubles...you can try::
su -c "rm -rf /var/lib/rpm/__db*"
type the root password
rpm -vv --rebuilddb

and then try the rpm again...
 
Old 09-04-2003, 10:58 AM   #4
hunter_one
Member
 
Registered: Jun 2003
Distribution: mdk 9.1 , gentoo
Posts: 101

Original Poster
Rep: Reputation: 15
now i get:

[root@localhost FGFS]# fgfs --fg-root=/usr/FGFS/FlightGear-0.9.2
FlightGear: Version 0.9.2
Built with GNU C++ version 3.2

Scanning command line for: --fg-root=
fg_root = /usr/FGFS/FlightGear-0.9.2
Reading global preferences
Finished Reading global preferences
Selecting language: pl_PL
Reading localized strings from /usr/FGFS/FlightGear-0.9.2/data/Translations/strings-default.xml
Reading localized strings from /usr/FGFS/FlightGear-0.9.2/data/Translations/strings-pl.xml
Scanning command line for: --aircraft=
No user specified aircraft, using default
Reading default aircraft: c172-3d from /usr/FGFS/FlightGear-0.9.2/data/Aircraft/c172-3d-set.xml
Processing command line arguments
Finished command line arguments
GLUT: Fatal Error in fgfs: OpenGL GLX extension not supported by display: :0.0
[root@localhost FGFS]#
 
Old 09-04-2003, 11:55 AM   #5
hunter_one
Member
 
Registered: Jun 2003
Distribution: mdk 9.1 , gentoo
Posts: 101

Original Poster
Rep: Reputation: 15
and how to install joystick on my mandrake 9.1...

(i`m newbie)
 
Old 09-04-2003, 12:48 PM   #6
hunter_one
Member
 
Registered: Jun 2003
Distribution: mdk 9.1 , gentoo
Posts: 101

Original Poster
Rep: Reputation: 15
pls help...
 
Old 09-04-2003, 01:39 PM   #7
DrOzz
Senior Member
 
Registered: May 2003
Location: Sydney, Nova Scotia, Canada
Distribution: slackware
Posts: 4,185

Rep: Reputation: 59
well you either don't have a video card that supports opengl or you don't have your video card drivers installed...so lets start with, what video card do you have?
 
Old 09-04-2003, 01:50 PM   #8
hunter_one
Member
 
Registered: Jun 2003
Distribution: mdk 9.1 , gentoo
Posts: 101

Original Poster
Rep: Reputation: 15
nVidia GeForce4 MX (64mb) + Tv-Out

if i remember i installed drivers downloaded from nvidia site but i could be wrong...
 
Old 09-04-2003, 02:23 PM   #9
DrOzz
Senior Member
 
Registered: May 2003
Location: Sydney, Nova Scotia, Canada
Distribution: slackware
Posts: 4,185

Rep: Reputation: 59
well post your /etc/X11/XF86Config-4 file and we'll see
 
Old 09-04-2003, 03:28 PM   #10
hunter_one
Member
 
Registered: Jun 2003
Distribution: mdk 9.1 , gentoo
Posts: 101

Original Poster
Rep: Reputation: 15
# File generated by XFdrake.

# **********************************************************************
# Refer to the XF86Config man page for details about the format of
# this file.
# **********************************************************************

Section "Files"
# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Mandrake 6.0 and later now use a font server independent of
# the X server to render fonts.
FontPath "unix/:-1"
EndSection

Section "ServerFlags"
#DontZap # disable <Crtl><Alt><BS> (server abort)
#DontZoom # disable <Crtl><Alt><KP_+>/<KP_-> (resolution switching)
AllowMouseOpenFail # allows the server to start up even if the mouse doesn't work
EndSection

Section "Module"
Load "dbe" # Double-Buffering Extension
Load "v4l" # Video for Linux
Load "extmod"
Load "type1"
Load "freetype"
Load "glx" # 3D layer
EndSection

Section "InputDevice"
Identifier "Keyboard1"
Driver "Keyboard"
Option "XkbModel" "pc105"
Option "XkbLayout" "pl"
Option "XkbCompat" ""
Option "XkbOptions" ""
EndSection

Section "InputDevice"
Identifier "Mouse1"
Driver "mouse"
Option "Protocol" "IMPS/2"
Option "Device" "/dev/psaux"
Option "ZAxisMapping" "4 5"
EndSection

Section "Monitor"
Identifier "monitor1"
VendorName "Generic"
ModelName "1024x768 @ 70 Hz"
HorizSync 31.5-57.0
VertRefresh 50-70

# Sony Vaio C1(X,XS,VE,VN)?
# 1024x480 @ 85.6 Hz, 48 kHz hsync
ModeLine "1024x480" 65.00 1024 1032 1176 1344 480 488 494 563 -hsync -vsync

# TV fullscreen mode or DVD fullscreen output.
# 768x576 @ 79 Hz, 50 kHz hsync
ModeLine "768x576" 50.00 768 832 846 1000 576 590 595 630

# 768x576 @ 100 Hz, 61.6 kHz hsync
ModeLine "768x576" 63.07 768 800 960 1024 576 578 590 616
EndSection

Section "Device"
Identifier "device1"
VendorName "nVidia Corporation"
BoardName "NVIDIA GeForce4 (generic)"
Driver "nv"
Option "DPMS"
EndSection

Section "Screen"
Identifier "screen1"
Device "device1"
Monitor "monitor1"
DefaultColorDepth 24

Subsection "Display"
Depth 8
Modes "1024x768" "800x600" "640x480"
EndSubsection

Subsection "Display"
Depth 15
Modes "1024x768" "800x600" "640x480"
EndSubsection

Subsection "Display"
Depth 16
Modes "1024x768" "800x600" "640x480"
EndSubsection

Subsection "Display"
Depth 24
Modes "1024x768" "800x600" "640x480"
EndSubsection
EndSection

Section "ServerLayout"
Identifier "layout1"
InputDevice "Keyboard1" "CoreKeyboard"
InputDevice "Mouse1" "CorePointer"
Screen "screen1"
EndSection
 
Old 09-04-2003, 04:14 PM   #11
DrOzz
Senior Member
 
Registered: May 2003
Location: Sydney, Nova Scotia, Canada
Distribution: slackware
Posts: 4,185

Rep: Reputation: 59
nope you don't have it installed as you will see ::
the line Driver "nv" would read Driver "nvidia" if you did install the nvidia drivers....so either ::
a) you installed them but didn't change the driver name or
b) you just didn't install them....
 
Old 09-04-2003, 04:34 PM   #12
hunter_one
Member
 
Registered: Jun 2003
Distribution: mdk 9.1 , gentoo
Posts: 101

Original Poster
Rep: Reputation: 15
i installed file downloaded from nvidia but it wasnt RPM ((
it was: *.run

at the end it say i must config my xfree but it was to hard 4me so i didnt do it...

btw what i should do now to run FLIGHT GEAR???
 
Old 09-04-2003, 04:48 PM   #13
hunter_one
Member
 
Registered: Jun 2003
Distribution: mdk 9.1 , gentoo
Posts: 101

Original Poster
Rep: Reputation: 15
i installed: "NVIDIA_GLX-2.4.21.0.25.2tex-4496.i586.rpm" and nothing changed... still same error... ((((
 
Old 09-04-2003, 04:57 PM   #14
DrOzz
Senior Member
 
Registered: May 2003
Location: Sydney, Nova Scotia, Canada
Distribution: slackware
Posts: 4,185

Rep: Reputation: 59
no no d00d....all you needed was that .run file....
rpm -e that nvidia rpm...if you say you installed that .run file originally then the drivers won't work until you tell your machine to use them...so your going to have to edit your xf86config-4 file to get the drivers working and hopefully the game...as of right now, getting the drivers working is your only solution of running that game, so hard or not, you know what you have to do there is a sticky thread in the newbie fourm, with detail instructions on how to install the nvidia drivers, and how to edit the file to use them...so i suggest you go read it...its not hard by any means, i think your just being hard on yourself gl !
 
Old 09-04-2003, 04:59 PM   #15
hunter_one
Member
 
Registered: Jun 2003
Distribution: mdk 9.1 , gentoo
Posts: 101

Original Poster
Rep: Reputation: 15
k i`m going to find that forum...
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
i've got tightvnc working but i dont have the full remote screen p.gaic SUSE / openSUSE 5 08-15-2005 04:58 PM
i dont think my graphic accel is working DropSig Linux - Hardware 4 06-25-2005 02:48 PM
Kaffeine keeps loading!! GRRRRR help Mystical Itachi SUSE / openSUSE 5 10-17-2004 03:14 AM
Internet Dial up is grrrrr crap. dannyflounders Slackware 3 07-30-2003 01:04 PM
dont get it .... xf86config not working .. purpleburple Slackware 4 08-15-2002 11:48 PM


All times are GMT -5. The time now is 04:49 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration